# Function all

- all(inCanvas: AnyCanvas, result: Result, drawOptions?: Partial<DrawOptions>): Promise<null | [void, void, void, void, void]>

- meta-function that performs draw for: canvas, face, body, hand

  #### Parameters

  - ##### inCanvas: AnyCanvas

  - ##### result: Result

  - ##### `Optional` drawOptions: Partial<DrawOptions>

  #### Returns Promise<null | [void, void, void, void, void]>

  - Defined in src/draw/draw.ts:64